import App from './App';

// #ifndef VUE3
import Vue from 'vue';
import uView from '@/uni_modules/uview-ui';
import { getPrice } from '@/utils/util';
Vue.use(uView);
Vue.config.productionTip = false;

Array.prototype.at = function (index) {
  return [...this].splice(index, 1).pop();
};

Vue.prototype.getPrice = getPrice;

App.mpType = 'app';
const app = new Vue({
  ...App,
});

// 引入请求封装，将app参数传递到配置中
require('@/utils/request.js')(app);

app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
export function createApp() {
  const app = createSSRApp(App);
  return {
    app,
  };
}
// #endif
